## org.eclipse.ocl.expressions
Interface TupleLiteralExp<C,P>

All Superinterfaces:
  ASTNode, EObject, LiteralExp<C>, Notifier, OCLExpression<C>, TypedElement<C>, Visitable

All Known Subinterfaces:
  TupleLiteralExp, TupleLiteralExp

All Known Implementing Classes:
  TupleLiteralExpImpl, TupleLiteralExpImpl, TupleLiteralExpImpl

    public interface TupleLiteralExp<C,P>

extends LiteralExp<C>

A representation of the model object 'Tuple Literal Exp'.

The following features are supported:

- `Part`

See Also:
  `ExpressionsPackage.getTupleLiteralExp()`

Method Summary
`boolean` `checkPartsUnique(DiagnosticChain diagnostics, Map<Object,Object> context)` part->isUnique (attribute.name)
`boolean` `checkTupleType(DiagnosticChain diagnostics, Map<Object,Object> context)` type.oclIsKindOf (TupleType) and part->forAll (tlep | type.oclAsType (TupleType).allProperties()->exists (tp | tlep.attribute = tp)) and part->size() = type.oclAsType (TupleType).allProperties()->size()
`EList<TupleLiteralPart<C,P>>` `getPart()` Returns the value of the 'Part' containment reference list.

Methods inherited from interface org.eclipse.ocl.utilities.TypedElement
`getName, getType, setName, setType`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.ocl.utilities.Visitable
`accept`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getPart

    EList<TupleLiteralPart<C,P>> getPart()

  Returns the value of the 'Part' containment reference list. The list contents are of type `TupleLiteralPart`<C, P>.

  If the meaning of the 'Part' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Part' containment reference list.
  See Also:
    `ExpressionsPackage.getTupleLiteralExp_Part()`

### checkTupleType

    boolean checkTupleType(DiagnosticChain diagnostics,
                           Map<Object,Object> context)

  type.oclIsKindOf (TupleType) and part->forAll (tlep | type.oclAsType (TupleType).allProperties()->exists (tp | tlep.attribute = tp)) and part->size() = type.oclAsType (TupleType).allProperties()->size()

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### checkPartsUnique

    boolean checkPartsUnique(DiagnosticChain diagnostics,
                             Map<Object,Object> context)

  part->isUnique (attribute.name)

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.